Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class ProtectedPart

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.ProtectedPart

All Implemented Interfaces:
  DEREncodable

    public class ProtectedPart

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`PKIBody` `getBody()`
`PKIHeader` `getHeader()`
`static ProtectedPart` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` ProtectedPart ::= SEQUENCE { header PKIHeader, body PKIBody }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ProtectedPart getInstance(java.lang.Object o)

### getHeader

    public PKIHeader getHeader()

### getBody

    public PKIBody getBody()

### toASN1Object

    public DERObject toASN1Object()

       ProtectedPart ::= SEQUENCE {
                          header    PKIHeader,
                          body      PKIBody
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45